define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/payment/additional-validators',
        'MNM_Spitzner/js/lib/address-verification',
        'MNM_Spitzner/js/model/guest-billing-address-validator'
    ],
    function (Component, additionalValidators, addressValidator, guestBillingAddressValidator) {
        'use strict';
        
        additionalValidators.registerValidator(guestBillingAddressValidator);
        additionalValidators.registerValidator(addressValidator);        
        
        return Component.extend({});
    }
);